## Index

### Type aliases

- AccountLinkingConsumer
- AccountLinkingProducer

### Functions

- createConsumer
- createProducer
- isUsernameAvailable
- isUsernameValid
- register

## Type aliases

### AccountLinkingConsumer

AccountLinkingConsumer: { cancel: any; on: any }

- Defined in auth/linking/consumer.ts:22

#### Type declaration

- ##### cancel:function

  - cancel(): void
  - - Defined in auth/linking/consumer.ts:24

    #### Returns void

- ##### on:function

  - on<K>(eventName: K, listener: EventListener<ConsumerEventMap[K]>): void
  - - Defined in auth/linking/consumer.ts:23

    #### Type parameters

    - #### K: keyof ConsumerEventMap

    #### Parameters

    - ##### eventName: K

    - ##### listener: EventListener<ConsumerEventMap[K]>

    #### Returns void

### AccountLinkingProducer

AccountLinkingProducer: { cancel: any; on: any }

- Defined in auth/linking/producer.ts:19

#### Type declaration

- ##### cancel:function

  - cancel(): void
  - - Defined in auth/linking/producer.ts:21

    #### Returns void

- ##### on:function

  - on<K>(eventName: K, listener: EventListener<ProducerEventMap[K]>): void
  - - Defined in auth/linking/producer.ts:20

    #### Type parameters

    - #### K: keyof ProducerEventMap

    #### Parameters

    - ##### eventName: K

    - ##### listener: EventListener<ProducerEventMap[K]>

    #### Returns void

## Functions

### createConsumer

- createConsumer(options: { username: string }): Promise<AccountLinkingConsumer>

- - Defined in auth/linking/consumer.ts:46

  Create an account linking consumer

  #### Parameters

  - ##### options: { username: string }

    consumer options

    - ##### username: string

      username of the account

  #### Returns Promise<AccountLinkingConsumer>

  an account linking event emitter and cancel function

### createProducer

- createProducer(options: { username: string }): Promise<AccountLinkingProducer>

- - Defined in auth/linking/producer.ts:47

  Create an account linking producer

  #### Parameters

  - ##### options: { username: string }

    producer options

    - ##### username: string

      username of the account

  #### Returns Promise<AccountLinkingProducer>

  an account linking event emitter and cancel function

### isUsernameAvailable

- isUsernameAvailable(username: string): Promise<boolean>

- - Defined in auth/index.ts:11

  #### Parameters

  - ##### username: string

  #### Returns Promise<boolean>

### isUsernameValid

- isUsernameValid(username: string): Promise<boolean>

- - Defined in auth/index.ts:7

  #### Parameters

  - ##### username: string

  #### Returns Promise<boolean>

### register

- register(options: { email?: string; username: string }): Promise<{ success: boolean }>

- - Defined in auth/index.ts:3

  #### Parameters

  - ##### options: { email?: string; username: string }

    - ##### Optional email?: string

    - ##### username: string

  #### Returns Promise<{ success: boolean }>

Generated using TypeDoc